## org.eclipse.datatools.sqltools.parsers.sql
Class SQLParserPlugin

    java.lang.Object
      org.eclipse.core.runtime.Plugin
          org.eclipse.datatools.sqltools.parsers.sql.SQLParserPlugin

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class SQLParserPlugin

extends org.eclipse.core.runtime.Plugin

The main plugin class to be used in the desktop.

Field Summary

Fields inherited from class org.eclipse.core.runtime.Plugin
`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`SQLParserPlugin()` The constructor.

Method Summary
`static SQLParserPlugin` `getDefault()` Returns the shared instance.
`java.util.ResourceBundle` `getResourceBundle()` Returns the plugin's resource bundle,
`static java.lang.String` `getResourceString(java.lang.String key)` Returns the string from the plugin's resource bundle, or 'key' if not found.
`void` `start(org.osgi.framework.BundleContext context)` This method is called upon plug-in activation
`void` `stop(org.osgi.framework.BundleContext context)` This method is called when the plug-in is stopped

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, shutdown, startup, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SQLParserPlugin

    public SQLParserPlugin()

  The constructor.

Method Detail

### start

    public void start(org.osgi.framework.BundleContext context)
               throws java.lang.Exception

  This method is called upon plug-in activation

  Specified by:
    `start` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `start` in class `org.eclipse.core.runtime.Plugin`
  Throws:
    `java.lang.Exception`

### stop

    public void stop(org.osgi.framework.BundleContext context)
              throws java.lang.Exception

  This method is called when the plug-in is stopped

  Specified by:
    `stop` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `stop` in class `org.eclipse.core.runtime.Plugin`
  Throws:
    `java.lang.Exception`

### getDefault

    public static SQLParserPlugin getDefault()

  Returns the shared instance.

### getResourceString

    public static java.lang.String getResourceString(java.lang.String key)

  Returns the string from the plugin's resource bundle, or 'key' if not found.

### getResourceBundle

    public java.util.ResourceBundle getResourceBundle()

  Returns the plugin's resource bundle,